import uuid

from typing import Optional

from brewman.schemas import to_camel
from brewman.schemas.employee import EmployeeLink
from pydantic import BaseModel, Field


class EmployeeBenefit(BaseModel):
    id_: Optional[uuid.UUID]
    employee: EmployeeLink
    gross_salary: int = Field(ge=0)
    days_worked: int = Field(ge=0)
    esi_employee: Optional[int] = Field(ge=0)
    pf_employee: Optional[int] = Field(ge=0)
    esi_employer: Optional[int] = Field(ge=0)
    pf_employer: Optional[int] = Field(ge=0)

    class Config:
        alias_generator = to_camel
