import { CommonModule } from '@angular/common';
import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';

import { AuthGuard } from '../auth/auth-guard.service';

import { AttendanceResolver } from './attendance-resolver.service';
import { AttendanceTypeResolver } from './attendance-type-resolver.service';
import { AttendanceComponent } from './attendance.component';

const attendanceRoutes: Routes = [
  {
    path: '',
    component: AttendanceComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Attendance',
    },
    resolve: {
      info: AttendanceResolver,
      attendanceTypes: AttendanceTypeResolver,
    },
    runGuardsAndResolvers: 'always',
  },
  {
    path: ':date',
    component: AttendanceComponent,
    canActivate: [AuthGuard],
    data: {
      permission: 'Attendance',
    },
    resolve: {
      info: AttendanceResolver,
      attendanceTypes: AttendanceTypeResolver,
    },
    runGuardsAndResolvers: 'always',
  },
];

@NgModule({
  imports: [CommonModule, RouterModule.forChild(attendanceRoutes)],
  exports: [RouterModule],
  providers: [AttendanceResolver],
})
export class AttendanceRoutingModule {}
